net.osmand.srtmPlugin.paid.yml 1.43 KB
Newer Older
Izzy's avatar
Izzy committed
1 2 3
Categories:
  - Navigation
License: GPL-3.0-only
Izzy's avatar
Izzy committed
4
WebSite: https://osmand.net/features?id=contour-lines-plugin
Izzy's avatar
Izzy committed
5 6 7
SourceCode: https://github.com/osmandapp/Osmand
IssueTracker: https://github.com/osmandapp/Osmand/issues
Translation: https://hosted.weblate.org/projects/osmand/
Izzy's avatar
Izzy committed
8
Donate: https://osmand.net/help-online#buy_app
Izzy's avatar
Izzy committed
9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47

AutoName: OsmAnd Contour lines
Description: Plugin to display contour lines and hillshades in [[net.osmand.plus]].

RepoType: git
Repo: https://github.com/osmandapp/Osmand.git

Builds:
  - versionName: '1.0'
    versionCode: 6
    commit: 044c2d1cec5b705cf1f00a8d97c3493f09189cf1
    subdir: plugins/Osmand-SRTMPlugin

  - versionName: '1.0'
    versionCode: 9
    commit: ed307f8a95aa58f507ad0e26f1af506be3725f9f
    subdir: plugins/Osmand-SRTMPlugin
    gradle:
      - yes
    rm:
      - eclipse-compile
      - OsmAnd/libs
      - OsmAnd/ant-lib
      - OsmAndCore-sample
      - OsmAnd-java
    prebuild:
      - sed -i -e 's/buildToolsVersion "23.0.1"/buildToolsVersion "25.0.0"/' -e '/com.google.firebase/d'
        build.gradle ../../OsmAnd/build.gradle ../*/build.gradle
      - echo "include ':plugins:Osmand-SRTMPlugin'" > ../../settings.gradle

MaintainerNotes: |-
    Plugins are not mentioned in LICENSE file and don't belong to any
    stated exception. Main project license according to LICENSE file
    and GoogleCode is GPLv3.

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: '1.0'
CurrentVersionCode: 9